org.aspectj.lang

## Class SoftException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.aspectj.lang.SoftException

All Implemented Interfaces:
  Serializable

    public class SoftException
    extends RuntimeException

Wrapper for checked exceptions matched by a 'declare soft'. You can soften checked exceptions at join points by using the form `declare soft: TypePattern: Pointcut`. At the join points, any exceptions thrown which match TypePattern will be wrapped in `SoftException` and rethrown. You can get the original exception using `getWrappedThrowable()` or `getCause()`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`SoftException(Throwable inner)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Throwable` `getCause()`
`Throwable` `getWrappedThrowable()`
`void` `printStackTrace()`
`void` `printStackTrace(PrintStream stream)`
`void` `printStackTrace(PrintWriter stream)`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SoftException

    public SoftException(Throwable inner)

### Method Detail

#### getWrappedThrowable

    public Throwable getWrappedThrowable()

#### getCause

    public Throwable getCause()

Overrides:
  `getCause` in class `Throwable`

#### printStackTrace

    public void printStackTrace()

Overrides:
  `printStackTrace` in class `Throwable`

#### printStackTrace

    public void printStackTrace(PrintStream stream)

Overrides:
  `printStackTrace` in class `Throwable`

#### printStackTrace

    public void printStackTrace(PrintWriter stream)

Overrides:
  `printStackTrace` in class `Throwable`